Bug 522077 - Double click on LVM or RAID device doesn't work
Summary: Double click on LVM or RAID device doesn't work
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Joel Andres Granados
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 12:28 UTC by Jan Stodola
Modified: 2009-10-02 08:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-02 08:59:21 UTC


Attachments (Terms of Use)

Description Jan Stodola 2009-09-09 12:28:58 UTC
Description of problem:
Double click on native device (/dev/sda1) in anaconda partitioning screen runs edit dialog window. The same double click on volume group, logical volume or raid device does nothing, to edit is need to press Edit button.

Version-Release number of selected component (if applicable):
rawhide-20090908, anaconda 12.20

How reproducible:
always

Steps to Reproduce:
1. start anaconda (boot.iso)
2. select "Create custom layout"
3. create LVM or RAID device
  
Actual results:
double click on LVM or RAID device doesn't start edit dialog window

Expected results:
double click on LVM or RAID device shows edit dialog

Additional info:
tested on ppc using vnc and x86_64 in kvm

Comment 1 Joel Andres Granados 2009-09-17 12:50:35 UTC
The customization layout is going to change for f13.  This should probably be addressed at that time.  Look at https://www.redhat.com/archives/anaconda-devel-list/2009-September/msg00241.html.  After the application of those patches, the double click functions correctly.  FYI, these patches are targeted for f13.

Comment 2 Joel Andres Granados 2009-10-02 08:59:21 UTC
This is fixed in anaconda-12.33 and over.


Note You need to log in before you can comment on or make changes to this bug.